/* Day view notebook panel for gncal
 *
 * Copyright (C) 1998 The Free Software Foundation
 *
 * Author: Federico Mena <quartic@gimp.org>
 */

#ifndef GNCAL_DAY_PANEL_H
#define GNCAL_DAY_PANEL_H

#include <glib.h>

#include <gtk/gtklabel.h>
#include <gtk/gtkscrolledwindow.h>
#include <gtk/gtktable.h>

#include "gnome-cal.h"
#include "gncal-full-day.h"
#include "todo-list.h"


G_BEGIN_DECLS


#define GNCAL_TYPE_DAY_PANEL		(gncal_day_panel_get_type ())
#define GNCAL_DAY_PANEL(obj)		(GTK_CHECK_CAST (obj, GNCAL_TYPE_DAY_PANEL, GncalDayPanel))
#define GNCAL_DAY_PANEL_CLASS(klass)	(GTK_CHECK_CLASS_CAST (klass, GNCAL_TYPE_DAY_PANEL, GncalDayPanelClass))
#define GNCAL_IS_DAY_PANEL(obj)		(GTK_CHECK_TYPE (obj, GNCAL_TYPE_DAY_PANEL))
#define GNCAL_IS_DAY_PANEL_CLASS(klass)	(GTK_CHECK_CLASS_TYPE ((klass), GNCAL_TYPE_DAY_PANEL))

typedef struct _GncalDayPanel		GncalDayPanel;
typedef struct _GncalDayPanelClass	GncalDayPanelClass;
typedef struct _GncalDayPanelPriv	GncalDayPanelPriv;

struct _GncalDayPanel {
	GtkTable table;

	GncalDayPanelPriv *priv;
};

struct _GncalDayPanelClass {
	GtkTableClass parent_class;
};


GType gncal_day_panel_get_type (void);
GtkWidget *gncal_day_panel_new (GnomeCalendar *calendar, time_t start_of_day);

void gncal_day_panel_update (GncalDayPanel *dpanel, iCalObject *ico, int flags);
void gncal_day_panel_set (GncalDayPanel *dpanel, time_t start_of_day);

TodoList *gncal_day_panel_get_todo_list (GncalDayPanel *dpanel);

G_END_DECLS

#endif
