#ifndef __ICAL_TODO_H__
#define __ICAL_TODO_H__

/* ICalendar To Do Object
 * Copyright (C) 2002  Sebastian Rittau <srittau@jroger.in-berlin.de>
 *
 * $Id: ical-todo.h,v 1.1.2.2 2002/04/18 18:08:28 srittau Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <glib.h>

#include "calobj.h"
#include "ical-component.h"


/* Properties of the ICalTodo class:
 *
 * name         | type         | default      | description
 * -------------+--------------+--------------+-----------------------------
 * categories   | GList *      | NULL         | List of gchar *'s
 */

#define ICAL_TYPE_TODO			(ical_todo_get_type())
#define ICAL_TODO(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), ICAL_TYPE_TODO, ICalTodo))
#define ICAL_TODO_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), ICAL_TYPE_TODO))
#define ICAL_IS_TODO(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), ICAL_TYPE_TODO))
#define ICAL_IS_TODO_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), ICAL_TYPE_TODO))

typedef struct _ICalTodo	ICalTodo;
typedef struct _ICalTodoClass	ICalTodoClass;
typedef struct _ICalTodoPriv	ICalTodoPriv;

struct _ICalTodo
{
	ICalComponent parent;

	ICalTodoPriv *priv;
};

struct _ICalTodoClass
{
	ICalComponentClass parent_class;
};

GType		 ical_todo_get_type			(void);
ICalTodo	*ical_todo_new				(void);
/* FIXME: backwards compatibility convenience method */
ICalTodo	*ical_todo_new_from_calobj		(iCalObject	*calobj);

void		 ical_todo_set_fresh			(ICalTodo *todo);

#endif /* __ICAL_TODO_H__ */
