/* GnomeCard - a graphical contact manager.
 *
 * dialog.h: This file is part of GnomeCard.
 * $Id: dialog.h,v 1.10.4.6 2002/07/19 09:14:38 srittau Exp $
 * 
 * Copyright (C) 1999 The Free Software Foundation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Changed in 2002 by Sebastian Rittau <srittau@jroger.in-berlin.de>
 * for the GNOME 2 port.
 */

#ifndef __GNOMECARD_DIALOG__
#define __GNOMECARD_DIALOG__

#include <gnome.h>

#include <mimedir/mimedir-vcard.h>


void dialog_find_card(void);
void dialog_about(void);

void dialog_edit_card(MIMEDirVCard *card);
void dialog_append();
void dialog_open(GtkWidget *widget, gpointer data);
void dialog_open_default (GtkWidget *widget, gpointer data);
gboolean dialog_append_file(const gchar *fname);
gboolean dialog_open_file(const gchar *fname);
void dialog_save_file(void);
void dialog_setup(void);

#endif /* __GNOMECARD_DIALOG__ */
