/* GnomeCard - a graphical contact manager.
 *
 * my.c: This file is part of GnomeCard.
 * 
 * Copyright (C) 1999 The Free Software Foundation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <config.h>

#include <ctype.h>

#include <gtk/gtkentry.h>

#include "gnomecard.h"
#include "my.h"


static void
my_property_used (GObject *w, gpointer data)
{
	CardProperty *prop;
    
	prop = (CardProperty *) data;
	prop->type = (enum PropertyType) g_object_get_data (w, "prop_type");
	prop->used = TRUE;
}

void
my_connect (GObject *widget, const gchar *sig, GObject *box, 
	   CardProperty *prop, enum PropertyType type)
{
	g_signal_connect (widget, sig,
			  G_CALLBACK (my_property_used),
			  prop);
	g_object_set_data (G_OBJECT (widget), "prop_type", (gpointer) type);
}
